| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XMLDTDDescription Class Reference

Inheritance diagram for XMLDTDDescription:

[legend]
Collaboration diagram for XMLDTDDescription:

[legend]
List of all members.

## Public Methods

Virtual destructor for derived classes
virtual | ~XMLDTDDescription ()
| virtual destructor. More...
Implementation of Grammar Description Interface
virtual Grammar::GrammarType | getGrammarType () const
| getGrammarType. More...
The DTDDescription Interface
virtual const XMLCh * | getRootName () const=0
| getRootName. More...
virtual void | setRootName (const XMLCh *const)=0
| setRootName. More...

## Protected Methods

| XMLDTDDescription (MemoryManager *const memMgr=XMLPlatformUtils::fgMemoryManager)

## Constructor & Destructor Documentation

virtual XMLDTDDescription::~XMLDTDDescription | ( |  | ) | `[virtual]`

| virtual destructor.

XMLDTDDescription::XMLDTDDescription | ( | MemoryManager *const | memMgr = XMLPlatformUtils::fgMemoryManager | ) | `[protected]`

## Member Function Documentation

virtual Grammar::GrammarType XMLDTDDescription::getGrammarType | ( |  | ) | const`[virtual]`

| getGrammarType. Implements XMLGrammarDescription.

virtual const XMLCh* XMLDTDDescription::getRootName | ( |  | ) | const`[pure virtual]`

| getRootName.

virtual void XMLDTDDescription::setRootName | ( | const XMLCh * | const | ) | `[pure virtual]`

| setRootName.

The documentation for this class was generated from the following file:

- XMLDTDDescription.hpp

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.